Module javafx.media
Package javafx.scene.media

# Class MediaMarkerEvent

java.lang.Object
java.util.EventObject
javafx.event.Event
javafx.event.ActionEvent
javafx.scene.media.MediaMarkerEvent

All Implemented Interfaces:
  `Serializable`, `Cloneable`

public class MediaMarkerEvent extends ActionEvent
An `ActionEvent` representing a media marker. A marker is added to a `Media` which is then played by a `MediaPlayer`. The event is fired when the playback position reaches the position of the marker.

Since:
  JavaFX 2.0
See Also:
  - `MediaPlayer.onMarkerProperty()`
  - Serialized Form

## Field Summary

### Fields inherited from class javafx.event.ActionEvent

`ACTION, ANY`

### Fields inherited from class javafx.event.Event

`consumed, eventType, NULL_SOURCE_TARGET, target`

### Fields inherited from class java.util.EventObject

`source`

## Method Summary

Modifier and Type
Method
Description
`Pair<String,Duration>`
`getMarker()`
Retrieves the marker the event represents.

### Methods inherited from class javafx.event.ActionEvent

`copyFor, getEventType`

### Methods inherited from class javafx.event.Event

`clone, consume, fireEvent, getTarget, isConsumed`

### Methods inherited from class java.util.EventObject

`getSource, toString`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getMarker

public Pair<String,Duration> getMarker()
Retrieves the marker the event represents.

Returns:
  the value of the marker.